/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.communication;

/**
 * The remote checker is in charge of testing if a remote container is accessible or not. 
 * <p>
 * It will be used by the topology service to update container states.
 * </p>
 * 
 * @author Christophe Hamerling - EBM WebSourcing
 */
public interface RemoteCheckerClient {

    /**
     * Try to reach the remote container
     * 
     * @param containerName
     * @return
     */
    boolean ping(String containerName);
}
