/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.communication.jndi.client.naming;

import java.io.Serializable;

import javax.naming.CompositeName;
import javax.naming.Name;
import javax.naming.NameParser;
import javax.naming.NamingException;

/**
 * Name parser of the registry.
 * @author ddesjardins - EBM WebSourcing
 */
public class JNDINameParser implements NameParser, Serializable {

    private static final long serialVersionUID = 1L;

    /*
     * (non-Javadoc)
     * @see javax.naming.NameParser#parse(java.lang.String)
     */
    public Name parse(String name) throws NamingException {
        return new CompositeName(name);
    }

    @Override
    public boolean equals(Object obj) {
        return (obj instanceof JNDINameParser);
    }

    @Override
    public int hashCode() {
        int hashCode = 0;
        return hashCode;
    }

}
