/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.container.exception;

import org.ow2.petals.microkernel.api.container.exception.ContainerException;
import org.ow2.petals.microkernel.container.ContainerController;

/**
 * An error occurs during a Fractal component instantiation by {@link ContainerController}.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ContainerCtrlException extends ContainerException {

    private static final long serialVersionUID = 6875047275150142722L;

    /**
     * @param message
     *            The error message
     */
    public ContainerCtrlException(final String message) {
        super(message);
    }

    /**
     * @param cause
     *            The error cause
     */
    public ContainerCtrlException(final Throwable cause) {
        super(cause);
    }

}
