/**
 * Copyright (c) 2006-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.management.recovery.task;

import java.io.File;
import java.util.List;
import java.util.concurrent.Callable;

import org.ow2.petals.microkernel.api.container.ContainerService;
import org.ow2.petals.microkernel.api.system.SystemStateService;
import org.ow2.petals.microkernel.api.system.repository.RepositoryService;

import com.ebmwebsourcing.easycommons.log.LoggingUtil;

/**
 * Abstract task for recovering of JBI artifacts
 * 
 * @author Olivier Fabre - EBM WebSourcing
 * @author Christophe DENEUX - Linagora
 * 
 */
public abstract class RecoverAbstractTask implements Callable<RecoveryResult> {

    protected final LoggingUtil log;

    protected final List<File> unknownDirs;

    protected final RepositoryService repositoryService;

    protected final SystemStateService systemStateService;

    protected final ContainerService containerService;

    public RecoverAbstractTask(final List<File> unknownDirs, final RepositoryService repositoryService,
            final SystemStateService systemStateService, final ContainerService containerService, final LoggingUtil log) {
        this.log = log;
        this.unknownDirs = unknownDirs;
        this.repositoryService = repositoryService;
        this.systemStateService = systemStateService;
        this.containerService = containerService;
    }

}
