/**
 * Copyright (c) 2006-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.management.task;

import java.io.File;

import org.ow2.petals.microkernel.api.configuration.ContainerConfiguration;

import com.ebmwebsourcing.easycommons.log.LoggingUtil;

/**
 * Abstract Task class for classes whose manipulate archive files.
 * 
 * @author Olivier Fabre - EBM WebSourcing
 */
public abstract class AbstractFileManipulationTask extends AbstractLoggableTask {

    public AbstractFileManipulationTask(final LoggingUtil log,
            final ContainerConfiguration containerConfiguration) {
        super(log, containerConfiguration);
    }

    /**
     * Retrieve work directory from AutoloaderServiceImpl
     * 
     * @return the work directory file
     */
    public File getWorkDirectory() {
        return new File(this.containerConfiguration.getWorkDirectoryPath());
    }

}
