/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.messaging.endpoint;

import javax.xml.namespace.QName;

import org.ow2.petals.jbi.servicedesc.endpoint.Location;
import org.ow2.petals.jbi.servicedesc.endpoint.impl.JBIServiceEndpointImpl;
import org.w3c.dom.DocumentFragment;

public class DynamicEndpointImpl extends JBIServiceEndpointImpl {

    private static final long serialVersionUID = -3558114567905505736L;

    public DynamicEndpointImpl(final String endpointName, final QName serviceName, final QName[] interfacesName,
            final Location location) {
        super(EndpointType.INTERNAL, endpointName, serviceName, interfacesName, location);
    }
    
    @Override
    public DocumentFragment getAsReference(final QName operationName) {
        return null;
    }

    @Override
    public String toString() {
        return "DYNAMIC " + super.toString();
    }
}
