/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.server.exception;

/**
 * The component based architecture is invalid.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InvalidCompBasedArchiException extends PetalsCompositeCtrlException {

    private static final long serialVersionUID = -2487747175268859881L;

    private final static String MESSAGE_PATTERN = "Component based architecture invalid: %s";

    /**
     * @param cause
     *            The cause of the invalid component based architecture.
     */
    public InvalidCompBasedArchiException(final String cause) {
        super(String.format(MESSAGE_PATTERN, cause));
    }

    /**
     * @param cause
     *            The cause of the invalid component based architecture.
     */
    public InvalidCompBasedArchiException(final Throwable cause) {
        super(String.format(MESSAGE_PATTERN, cause.getMessage()), cause);
    }
}
