/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.server.exception;

import org.ow2.petals.microkernel.api.server.FractalHelper;

/**
 * Too many shared area implementations have been found.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class TooManySharedAreaImplException extends PetalsCompositeCtrlException {
    
    private static final long serialVersionUID = 8635752824754051967L;

    private final static String MESSAGE = "Too many shared area implementations have been found for the composite '"
            + FractalHelper.COMMUNICATION_COMPOSITE + "'.";

    public TooManySharedAreaImplException() {
        super(MESSAGE);
    }

}
