/**
 * Copyright (c) 2005-2012 Fossil E-Commerce, 2005-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.system.classloader;

import java.io.IOException;
import java.net.URL;
import java.util.List;

/**
 * This classLoader is used by a shared library.
 * 
 * One one hand, it is not used directly as a classloader but {@link SharedLibrariesClassLoader} calls it to load
 * classes. On the other hand, classes that were loaded by this classloader will use it as their classloader.
 * 
 * @since Petals 1.0
 * @author Adrien LOUIS - EBM WebSourcing
 * @author Victor Noël - Linagora
 */
public class SharedLibraryClassLoader extends PetalsClassLoader {

    static {
        ClassLoader.registerAsParallelCapable();
    }

    public SharedLibraryClassLoader(final URL[] baseUrls, final List<String> classpathLocations,
            final ClassLoader parent, final boolean parentFirst) throws IOException {
        super(baseUrls, classpathLocations, parent, parentFirst);
    }
}
