/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.transport.platform.nio.monitoring;

import org.ow2.petals.microkernel.transport.platform.nio.client.NioClientObjectPool;
import org.ow2.petals.probes.api.key.StringProbeKey;
import org.ow2.petals.probes.api.sensor.KeyedGaugeSensor;

/**
 * An abstract sensor about outgoing connections currently established from the current container to remote containers.
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public abstract class AbstractCurrentOutgoingConnectionsGaugeSensor
        implements KeyedGaugeSensor<StringProbeKey, Long, Long> {

    protected NioClientObjectPool clientConnectionPool;

    public void setClientConnectionPool(final NioClientObjectPool clientConnectionPool) {
        this.clientConnectionPool = clientConnectionPool;
    }

    @Override
    public Long toExternalValue(final Long valueToConvert) {
        return valueToConvert;
    }

    @Override
    public void reset() {
        // NOP
    }

}
