/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.transport.platform.nio.monitoring;

import org.ow2.petals.probes.api.key.StringProbeKey;

/**
 * An sensor about incoming IDLE connections currently established from a remote container to the current container. An
 * incoming IDLE connection is an incoming connection for which no reads occur.
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class CurrentIncomingIdleConnectionsGaugeSensor extends AbstractCurrentIncomingConnectionsGaugeSensor {

    @Override
    public Long getInstantValue(final StringProbeKey key) {
        if (this.nioServer == null) {
            return 0L;
        } else {
            return Long.valueOf(this.nioServer.getNumIdleConnections(key.toReadableString()));
        }
    }
}
