/**
 * Copyright (c) 2015-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.utest.mock;

import java.util.HashMap;
import java.util.Map;

import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.fraclet.annotations.Interface;
import org.ow2.petals.microkernel.api.extension.PetalsExtensionController;
import org.ow2.petals.microkernel.extension.PostExtensionsManager;

/**
 * A implementation of {@link PostExtensionsManager} for unit tests
 * 
 * @author Christophe DENEUX - Linagora
 */
@org.objectweb.fractal.fraclet.annotations.Component(provides = @Interface(name = "extensionsManager", signature = PostExtensionsManager.class))
public class PostExtensionsManagerImpl implements PostExtensionsManager {

    @Override
    public Map<PetalsExtensionController, Component> getExtensionControllers() {
        return new HashMap<PetalsExtensionController, Component>();
    }

}
