/**
 * Copyright (c) 2015-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.utest.mock.system;

import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Properties;

import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

import org.objectweb.fractal.fraclet.annotations.Component;
import org.objectweb.fractal.fraclet.annotations.Interface;
import org.ow2.petals.jbi.servicedesc.endpoint.PetalsServiceEndpoint;
import org.ow2.petals.jbi.servicedesc.endpoint.PetalsServiceEndpoint.EndpointType;
import org.ow2.petals.microkernel.api.communication.sharedarea.SharedAreaService;
import org.ow2.petals.microkernel.api.communication.sharedarea.exception.SharedAreaException;
import org.ow2.petals.microkernel.api.implementation.exception.MutableImplException;
import org.w3c.dom.Document;

import com.google.common.base.Optional;

/**
 * A implementation of {@link SharedAreaService} for unit tests
 * 
 * @author Christophe DENEUX - Linagora
 */
@Component(provides = @Interface(name = SharedAreaService.FRACTAL_SRV_ITF_NAME, signature = SharedAreaService.class))
public class SharedAreaImpl implements SharedAreaService {

    @Override
    public Properties getConfiguration(final String providedTopologyPassphrase) throws MutableImplException {
        return null;
    }

    @Override
    public Document getTopologyPartConfiguration(final Properties properties) throws MutableImplException {
        return null;
    }

    @Override
    public String getImplementationName() {
        return "Petals Registry Mock Client";
    }

    @Override
    public String getImplementationVersion() {
        return "1.0.0";
    }

    @Override
    public List<PetalsServiceEndpoint> getEndpoints(EndpointType type) throws SharedAreaException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint getEndpoint(QName serviceName, String endpointName, EndpointType type)
            throws SharedAreaException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint registerInternalEndpoint(String endpointName, QName serviceName, QName[] interfaces,
            String componentName, Document description) throws SharedAreaException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint registerExternalEndpoint(ServiceEndpoint endpoint, String componentName)
            throws SharedAreaException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint deregisterEndpoint(final QName serviceName, final String endpointName,
            String componentName, EndpointType type) throws SharedAreaException {
        return null;
    }

    @Override
    public Collection<PetalsServiceEndpoint> getEndpointsForInterface(QName interfaceName, EndpointType type)
            throws SharedAreaException {
        return null;
    }

    @Override
    public Collection<PetalsServiceEndpoint> getEndpointsForService(QName serviceName, EndpointType type)
            throws SharedAreaException {
        return null;
    }

    @Override
    public String getDescription(final QName serviceName, String endpointName) throws SharedAreaException {
        return null;
    }

    @Override
    public Optional<Document> getDescription(ServiceEndpoint endpoint) throws SharedAreaException {
        return null;
    }

    @Override
    public Collection<SavedEndpoint> leaveTopology() throws SharedAreaException {
        return Collections.emptyList();
    }

    @Override
    public void restoreEndpoints(Collection<SavedEndpoint> endpoints) throws SharedAreaException {
        // NOP
    }

    @Override
    public void joinTopology(final boolean addMyself) throws SharedAreaException {
        // NOP
    }
}
